[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Sun JDK 1.6, Java plugin, Firefox?



Paul Smith wrote:
On 1/23/07, Mike Cohler <mike cohler gmail com> wrote:
> Does anybody have the Sun 1.6 JDK installed with JPackage and able to
> get the java plugin to work with Firefox?  If I go to about:plugins it
> shows installed and enabled but I can't get any applets to run.  I'm
> using JPackage 1.7b, Sun JDK 1.6 and Firefox 1.5.0.9 on FC 6.
>
I installed the 1.6 JRE from java.sun.com - and it works fine.

If you go to http://java.sun.com/javase/downloads/index.jsp
then under "Java Runtime Environment (JRE) 6" click downloads and
get the Linux bin file.

Once that is untarred you can collect the appropriate plugin files
and make sure they are in the plugins directory.
>From wherever your java directory is stored you then need
java/jre1.6.0/plugin/i386/ns7/libjavaplugin_oji.so
in the plugins directory either as the file or a link to the correct file
in the firefox plugins directory. You will need to restart firefox for it
to be active.

This is how I do it and it seems to work fine.

And, by the way, where from could one get the equivalent of

java-1.5.0-sun-1.5.0.10-2jpp.nosrc.rpm

for Java 1.6?

Paul


Paul:

On the JPackage site, on the left side select "Our browser JPP 1.7b and the 1.5_10 link is near the top just below the 1.6. You need JPackage 1.7b to use either 1.5_10 or 1.6.

If you install Java 1.6 and the JPackage rpms and get it to run applets, please let me know how you did it. 1.5_09 and _10 work fine for me but the plugins do not work with 1.6.

Thanks,

--
Knute Johnson
email s/nospam/linux/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]